using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Cmdjy.Bll.DataQuery;
using Cmdjy.Dal;

namespace Cmdjy.Controllers
{
    /// <summary>
    /// 医疗机构信息控制器
    /// </summary>
    public class HospitalInfoController:ControllerBase
    {
        public Lazy<IHospitalInfoDataQuery> HosInfo { get; set; }

        public ActionResult Index() {
            return PartialView();
        }

        public ActionResult HospitalList() {
            var model = this.HosInfo.Value.GetAll();
            return Json(model,JsonRequestBehavior.AllowGet);
        }
    }
}